You are not logged in.

#1 2005-03-16 23:51:38

nehsa
Member
Registered: 2003-01-14
Posts: 159

new version of imap

Hi, I did a pacman -Syu and it reloaded all sorts of stuff, even postfix and courier-imap (which before it always skipped).  I've been trying to get them setup again and got stuck.

When I try to start imap it fails, says "ERROR:  authdaemond is not running"

I checked /etc/courier-imap/imapd for the authmodules section and found out its not there.  Checked /usr/sbin for authdaemond and its also missing. 

So, does the new version not use that anymore?

Offline

#2 2005-03-17 02:28:33

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: new version of imap

Check in /etc/rc.d  it might be there with the other daemons.

Offline

#3 2005-03-17 03:35:51

neotuli
Lazy Developer
From: San Francisco, CA
Registered: 2004-07-06
Posts: 1,201
Website

Re: new version of imap

it still uses it, I had trouble too.
Do a pacman -S courier-authlib to get it installed, then add authdaemond somewhere before courier-imap in rc.conf DAEMONS section so it'll all start correctly.
My trouble was that courier-authlib supposedly installed, but some files where mysteriously not extracted, a simple forced reinstall seemed to do the trick.


The suggestion box only accepts patches.

Offline

#4 2005-03-17 05:31:59

nehsa
Member
Registered: 2003-01-14
Posts: 159

Re: new version of imap

Awesome, I'm sure thats the problem.  authdaemond was in /etc/rc.d but the file it was calling wasn't there /usr/sbin/authdaemond or something.  I'll install authlib when I get to work, I bet that fixes it.

Offline

#5 2005-03-17 20:47:58

nehsa
Member
Registered: 2003-01-14
Posts: 159

Re: new version of imap

That was for sure part of the problem.  Unfortunantly I have have other problems..

Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthuserdb
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authuserdb
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthpam
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authpam
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthpwd
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authpwd
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthshadow
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authshadow
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthpgsql
Mar 17 12:42:06 serverass1300 authdaemond: libpq.so.3: cannot open shared object file: No such file or directory
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthldap
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authldap
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthmysql
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authmysql
Mar 17 12:42:06 serverass1300 authdaemond: Installing libauthcustom
Mar 17 12:42:06 serverass1300 authdaemond: Installation complete: authcustom
Mar 17 12:42:14 serverass1300 imapd: Connection, ip=[::ffff:127.0.0.1]
Mar 17 12:42:21 serverass1300 imapd: chdir Maildir: No such file or directory

A few things I've noticed.. I lost AUTHMODULES="" in imapd.  I tried manually adding it but it doesn't seem to be used.  How do I specify authpam now?  And what is libpq.so.3?

Offline

#6 2005-03-17 21:20:34

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: new version of imap

To get libpq.so.3:
pacman -S postgresql

Offline

#7 2005-03-17 21:50:14

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: new version of imap

Really?
Seems the courier package has gone all wonky then.
I might have to resort to building it myself. I don't want to have to install postgres just to get it to work. I use authdaemon with mysql, and I don't want all the extra stuff being installed just so I can do that...

*sigh* Bummer when I have to diverge from the distro builds. Makes more overhead for me..
at least I can though...some small consolation..


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#8 2005-03-17 22:17:12

nehsa
Member
Registered: 2003-01-14
Posts: 159

Re: new version of imap

Since I don't think I'm at the level to be rebuilding packages.  I just installed postgresql.   

Still running into problems... when I try to login it still errs out saying MailDir doesn't exist, how do I create it? 

The second annoying thing is, I can see through the logs that its still installing support for EVERY authenication option, where do I limit that to just authpam?  I tried adding AUTHMODULES="authpam" into imapd config but it doesn't appear to read that anymore..

Offline

#9 2005-03-17 22:37:36

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: new version of imap

cactus wrote:

Really?

Yes. I googled  then search the the package list from the home page.  I found out that usr/lib/libpq.so.3 was part of postgresql.

Offline

#10 2005-03-17 23:12:59

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: new version of imap

Snowman wrote:

Yes. I googled  then search the the package list from the home page.  I found out that usr/lib/libpq.so.3 was part of postgresql.

I wasn't in doubt about that. It was more knee-jerk amazement that it was required in order to run...
lol


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#11 2005-03-17 23:33:42

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: new version of imap

I didn't realized that it was a rhetorical question...  lol

Offline

#12 2005-03-17 23:48:38

nehsa
Member
Registered: 2003-01-14
Posts: 159

Re: new version of imap

So you haven't gotten it to work Snowman?  I can't figure out how to both:

Create a maildir directory

&

Stop it from installing every authenication method

Offline

#13 2005-03-17 23:50:24

neotuli
Lazy Developer
From: San Francisco, CA
Registered: 2004-07-06
Posts: 1,201
Website

Re: new version of imap

nehsa wrote:

Still running into problems... when I try to login it still errs out saying MailDir doesn't exist, how do I create it?

maildirmake

Read the manpage for more info.


The suggestion box only accepts patches.

Offline

#14 2005-03-18 00:01:06

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: new version of imap

nehsa wrote:

So you haven't gotten it to work Snowman?

No, I didn't even tried.  In fact,  I haven't  installed any of these packages because I don't need a mail server.

Offline

#15 2005-03-18 01:34:55

nehsa
Member
Registered: 2003-01-14
Posts: 159

Re: new version of imap

I figured it out.  All I needed to was change the relay setting to allow things at my domain.  Then just sent an email to create the MailDir/

Thanks for the help!

Offline

#16 2005-03-19 21:57:42

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: new version of imap

the new courier package has some bugs.
the authdaemon startup script calls /usr/sbin/authdaemond

which basically does this:

prefix=/usr
exec_prefix=/usr
sbindir=/usr/sbin
localstatedir=/var
 
set -a
. /etc/authlib/authdaemonrc
 
exec ${sbindir}/courierlogger -pid=/var/spool/authdaemon/pid -$1 /usr/libexec/courier-authlib/authdaemond

That should really just be done in the /etc/rc.d startup script for authdaemon. Silly to add another file..

EDIT: Fixed one issue..deleted text..

I am getting an error about courierlogger not existing. What package is this supposed to be in?
EDIT2: Looks like it is supposed to be in courier-authlib, but it is not on my system, and I just installed it...odd..
EDIT3: Forced reinstall..showed up this time.
EDIT4: The following in the /etc/rc.d/courier-imap file are not correct..

/usr/lib/courier-imap/${daemon}.rc start &> /dev/null

It was missing the &> /dev/null
Without the redirection, I was getting 0022 output to the terminal. I looked in /usr/lib/courier-imap/imapd.rc (the only daemon I start), and didnt see where the 0022 was coming from. Hopefully it was just misc output, and not a sign of some error. With the redirection, output is clean again.

also

/usr/lib/courier-imap/$daemon.rc stop &> /dev/null

The original was missing the redirection of stderr (&).


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#17 2005-03-20 03:27:47

neotuli
Lazy Developer
From: San Francisco, CA
Registered: 2004-07-06
Posts: 1,201
Website

Re: new version of imap

it's odd that I had the same issue, the mysteriously not-installed files i referred to earlier was courierlogger.


The suggestion box only accepts patches.

Offline

#18 2005-03-20 09:05:15

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: new version of imap

bug in courier-authlib user creation settings...
http://bugs.archlinux.org/index.php?do=details&id=2416


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#19 2005-03-22 12:00:29

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 552

Re: new version of imap

I likle to clearify things a bit. Parts of the answer has been postet as news a while ago and courier has been in testing for long.
COurier has anew sources/modules layout. Instead of every courier package
shipping its own authlibmodules, courier is now serving one authlib packages
and all others (imap,mta,sqwebmail ...) depend on it. Secondly, there is no
such courier-imap-pgsql package anymore, but also there is no such
courier-authlib-pgsql. Why?
Courier used to come whith a shellscript that did 'test -f authlib-bla.so' and if
it did find it it used it for authentification. Now the problem was, if you had
either packages installed, for example the one for mysql and the one for
pgsql, the one wins which is the last tested in that shellscript. Instead today
there is a /etc/authlib/authdaemonrc config in which you can list the modules
you want to use. If you like to use pgsql based authentification/routing for
sure you'll need to have postresql itself installed. So far these databases
are only makedepends for courier-authlib only, it doesn't make any sense
to pull them in as real dependencies. And please note: a mailserver will
never ever work out of the box, right? smile

-neri

Offline

Board footer

Powered by FluxBB